{% load admin %}
{% load admin_gravatar %}

<div id="mCSB_1" class="mCustomScrollBox mCS-minimal mCSB_vertical mCSB_outside" tabindex="0">
  <div id="mCSB_1_container" class="mCSB_container"dir="ltr">

    <!-- menu profile quick info -->
    <div class="row profile">
      <div class="profile_pic col-sm-4 text-right">
        <img src="{{ user.email|gravatar_url:40 }}" alt="{{ user.get_username }}" class="img-circle profile_img">
      </div>
      <div class="profile_info col-sm-8 text-left">
        <h2>{{ user.get_full_name }}</h2>
        <h4>{{ user.get_username.upper }}</h4>
      </div>
    </div>
    <!-- /menu profile quick info -->

    <!-- sidebar menu -->
    <div id="sidebar-menu" class="main_menu">
      <div class="menu_section">
        <ul class="nav side-menu">
          <li><a href="/admin/"><i class="fa fa-home"></i><span class='menu-label'>Home</span></a></li>
          
          {% if perms.argo.add_campaign or perms.argo.view_campaign or perms.argo.view_task or perms.argo.view_task_choice or perms.argo.view_task_task_setup or perms.argo.view_task_skill or perms.argo.view_worker_campaign or perms.argo.view_worker_task %}
            <li>
              <a><i class="fa fa-bullhorn"></i><span class='menu-label'>Campaigns</span><span class="fa fa-plus fa-plus-minus"></span></a>
              <ul class="nav child_menu">
                {% if perms.argo.add_campaign %}
                  <li class="{% if menu_active == "campaign_add" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/campaign/add/">Add</a></li>
                {% endif %}
                {% if perms.argo.view_campaign %}
                  <li class="{% if menu_active == "campaign" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/campaign/">Manage</a></li>
                {% endif %}
                <li>
                  <a><span class='menu-label'>Task</span><span class="fa fa-plus fa-plus-minus"></span><span class="fa fa-angle-right"></span></a>
                  <ul class="nav child_menu" style="display: block;">
                    {% if perms.argo.view_task %}
                      <li class="{% if menu_active == "task" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task/">Manage</a></li>
                    {% endif %}
                    {% if perms.argo.view_task_choice %}
                      <li class="{% if menu_active == "task_choice" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_choice/">Task Choice</a></li>
                    {% endif %}
                    {% if perms.argo.view_task_task_setup %}
                      <li class="{% if menu_active == "task_setup" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_task_setup/">Task Setup</a></li>
                    {% endif %}
                    {% if perms.argo.view_task_skill %}
                      <li class="{% if menu_active == "task_skill" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_skill/">Task Skill</a></li>
                    {% endif %}
                  </ul>
                </li>
                <li>
                  <a><span class='menu-label'>Workers</span><span class="fa fa-plus fa-plus-minus"></span><span class="fa fa-angle-right"></span></a>
                  <ul class="nav child_menu" style="display: block;">
                {% if perms.argo.view_worker_campaign %}
                  <li class="{% if menu_active == "worker_campaign" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/worker_campaign/">Manage</a></li>
                {% endif %}
                {% if perms.argo.view_worker_task %}
                  <li class="{% if menu_active == "worker_task" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/worker_task/">Worker Task</a></li>
                {% endif %}
                  </ul>
                </li>
              </ul>
            </li>
          {% endif %}
          
          {% if perms.argo.add_worker or perms.argo.view_worker %}
            <li>
              <a><i class="fa fa-edit"></i><span class='menu-label'>Workers</span><span class="fa fa-plus fa-plus-minus"></span></a>
              <ul class="nav child_menu">
                {% if perms.argo.add_worker %}
                  <li class="{% if menu_active == "worker_add" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/worker/add/">Add</a></li>
                {% endif %}
                {% if perms.argo.view_worker %}
                  <li class="{% if menu_active == "worker" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/worker/">Manage</a></li>
                {% endif %}
              </ul>
            </li>
          {% endif %}
          
          {% if perms.argo.view_answer_type or perms.argo.view_campaign_status or perms.argo.view_pattern or perms.argo.view_task_setup_pattern or perms.argo.view_profile or perms.argo.view_profile_skill or perms.argo.view_task_setup or perms.argo.view_skill or perms.argo.view_task_status %}
            <li>
              <a><i class="fa fa-cog"></i><span class='menu-label'>Utility</span><span class="fa fa-plus fa-plus-minus"></span></a>
              <ul class="nav child_menu">
                {% if perms.argo.view_answer_type %}
                  <li class="{% if menu_active == "answer_types" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/answer_type/">Answer Types</a></li>
                {% endif %}
                {% if perms.argo.view_campaign_status %}
                  <li class="{% if menu_active == "campaign_status" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/campaign_status/">Campaign Status</a></li>
                {% endif %}
                {% if not perms.argo.view_task_setup and not perms.argo.view_pattern and perms.argo.view_task_setup_pattern %}
                  <li class="{% if menu_active == "pattern_round_setup" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_setup_pattern/">Pattern</a></li>
                {% elif perms.argo.view_task_setup or perms.argo.view_pattern or perms.argo.view_task_setup_pattern %}
                  <li>
                    <a><span class='menu-label'>Setup</span><span class="fa fa-plus fa-plus-minus"></span><span class="fa fa-angle-right"></span></a>
                    <ul class="nav child_menu" style="display: block;">
                      {% if perms.argo.view_task_setup %}
                        <li class="{% if menu_active == "setup" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_setup/">Items</a></li>
                      {% endif %}
                      {% if perms.argo.view_pattern %}
                        <li class="{% if menu_active == "pattern" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/pattern/">Pattern</a></li>
                      {% endif %}
                      {% if perms.argo.view_task_setup_pattern %}
                        <li class="{% if menu_active == "pattern_round_setup" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_setup_pattern/">Pattern Setup</a></li>
                      {% endif %}
                    </ul>
                  </li>
                {% endif %}
                {% if not perms.argo.view_skill and not perms.argo.view_profile and perms.argo.view_profile_skill %}
                  <li class="{% if menu_active == "profile_skill" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/profile_skill/">Skill</a></li>
                {% elif perms.argo.view_skill or perms.argo.view_profile or perms.argo.view_profile_skill %}
                  <li>
                    <a><span class='menu-label'>Skill</span><span class="fa fa-plus fa-plus-minus"></span><span class="fa fa-angle-right"></span></a>
                    <ul class="nav child_menu" style="display: block;">
                      {% if perms.argo.view_skill %}
                        <li class="{% if menu_active == "skill" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/skill/">Items</a></li>
                      {% endif %}
                      {% if perms.argo.view_profile %}
                        <li class="{% if menu_active == "profile" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/profile/">Profile</a></li>
                      {% endif %}
                      {% if perms.argo.view_profile_skill %}
                        <li class="{% if menu_active == "profile_skill" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/profile_skill/">Profile Skill</a></li>
                      {% endif %}
                    </ul>
                  </li>
                {% endif %}
                {% if perms.argo.view_task_status %}
                  <li class="{% if menu_active == "task_status" %}menu_in_use{% endif %}"><a href="/admin/{% settings_value "APP_NAME" %}/task_status/">Task Status</a></li>
                {% endif %}
              </ul>
            </li>
          {% endif %}
          
        </ul>
      </div>

      {% if perms.auth.add_user or perms.auth.change_user or perms.auth.delete_user or perms.auth.add_group or perms.auth.change_group or perms.auth.delete_group %}    
        <div class="menu_section">
          <h3>Django Table</h3>
          <ul class="nav side-menu">
            {% if perms.auth.add_user or perms.auth.change_user or perms.auth.delete_user %}
              <li><a><i class="fa fa-user"></i><span class='menu-label'>Users</span><span class="fa fa-plus fa-plus-minus"></span></a>
                <ul class="nav child_menu">
                  {% if perms.auth.add_user %}
                    <li class="{% if menu_active == "user_add" %}menu_in_use{% endif %}"><a href="/admin/auth/user/add">Add</a></li>
                  {% endif %}
                  {% if perms.auth.add_user or perms.auth.change_user or perms.auth.delete_user %}
                    <li class="{% if menu_active == "user" %}menu_in_use{% endif %}"><a href="/admin/auth/user/">Manage</a></li>
                  {% endif %}
                </ul>
              </li>
            {% endif %}
            {% if perms.auth.add_group or perms.auth.change_group or perms.auth.delete_group %}
              <li><a><i class="fa fa-users"></i><span class='menu-label'>Groups</span><span class="fa fa-plus fa-plus-minus"></span></a>
                <ul class="nav child_menu">
                  {% if perms.auth.add_group %}
                    <li class="{% if menu_active == "group_add" %}menu_in_use{% endif %}"><a href="/admin/auth/group/add">Add</a></li>
                  {% endif %}
                  {% if perms.auth.add_group or perms.auth.change_group or perms.auth.delete_group %}
                    <li class="{% if menu_active == "group" %}menu_in_use{% endif %}"><a href="/admin/auth/group/">Manage</a></li>
                  {% endif %}
                </ul>
              </li>
            {% endif %}
          </ul>
        </div>
      {% endif %}
    </div>
    <!-- /sidebar menu -->

  </div>  
</div>